//
//  CircleView.swift
//  Gesto Circulo
//
//  Created by Santiago Pavón on 20/10/15.
//  Copyright © 2015 UPM. All rights reserved.
//

import UIKit

class CircleView: UIView {

    // Radio con el que se pintara el circulo.
    var radius:CGFloat = 100.0 {
        didSet { setNeedsDisplay() }
    }
    
    // Coordenada X del centro del circulo
    var x: CGFloat = 0 {
        didSet { setNeedsDisplay() }
    }
    
    // Coordenada Y del centro del circulo
    var y: CGFloat = 0 {
        didSet {setNeedsDisplay() }
    }
    
    override func draw(_ rect: CGRect) {
        let x = self.x - radius
        let y = self.y - radius
        let r = CGRect(x: x, y: y, width: 2*radius, height: 2*radius)
        let path = UIBezierPath(ovalIn: r)
        UIColor.red.setFill()
        path.fill()
    }
}
