//
//  ViewController.swift
//  Gestos Circulo
//
//  Created by Santiago Pavón Gómez on 29/9/16.
//  Copyright © 2016 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var circleView: CircleView!
    
    // Pellizco para cambiar el tamaño del circulo
    @IBAction func zoom(_ sender: UIPinchGestureRecognizer) {
        circleView.radius *= sender.scale
        sender.scale = 1
    }
    
    // Tap para situar el circulo
    @IBAction func position(_ sender: UITapGestureRecognizer) {
        let pos = sender.location(in: sender.view)
        circleView.x = pos.x
        circleView.y = pos.y
    }
    
    // Pan para que el circulo siga el movimiento del dedo
    @IBAction func follow(_ sender: UIPanGestureRecognizer) {
        let pos = sender.translation(in: sender.view)
        circleView.x += pos.x
        circleView.y += pos.y
        sender.setTranslation(CGPoint.zero, in: sender.view)
    }
}

